export default {
    // 获取当前登录用户的相关信息
    execute:function(){
        // 第一个字段，待赋值的字段
        // debugger
        let resultTargetField = arguments[0][0]
        // XX.XX
        let linkId = resultTargetField.FieldTableCode + '.' + resultTargetField.FieldCode
        // 第二个字段：要获取的内容

        let promise = GMS.$http.get("/nvwa/getLoginContext")
        let newData = null
        promise.then((data) => {
            newData = data.data.context.conetxtUser[arguments[0][1].StaticValue];
            if(resultTargetField&&resultTargetField.dynamicNodeFactory&&resultTargetField.dynamicNodeFactory.methodJson){
                resultTargetField.dynamicNodeFactory.methodJson.SetFieldData('',linkId,newData,'')
            }
            return newData;
        })
    },
    getResultType:function(){
        return FMR.ConstDataTypes.General;
    }
}